#pragma once
#include <functional>
#include <chrono>

namespace spin {

    class IScheduledExecutor {
    public:
        virtual ~IScheduledExecutor() = default;

        virtual void schedule(const std::function<void()> task, const std::chrono::milliseconds &initialDelay, const std::chrono::milliseconds &period) = 0;
        virtual void stop() = 0;

    };

} // namespace spin